Bug#886068: gtk-theme-config: Depends on gconf

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Bug#886068: gtk-theme-config: Depends on gconf

Jeremy Bicha-4
Source: gtk-theme-config
Version: 1.2.2-1
Severity: important
User: [hidden email]
Usertags: oldlibs gconf
Tags: sid buster

Your package depends or build-depends on gconf, but gconf will be
removed from Debian soon.

gconf's last release was about 5 years ago. It has been replaced by
gsettings (provided in Debian by source glib2.0 )

This should be pretty simple to fix since I don't think any desktop in
Debian uses gconf any more so you should be able to just drop the gconf
code.

References
----------
https://developer.gnome.org/gio/stable/ch34.html
https://developer.gnome.org/gio/stable/GSettings.html

On behalf of the Debian GNOME team,
Jeremy Bicha

--
xubuntu-devel mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/xubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Bug#886068: gtk-theme-config: raising severity of gconf dependency bug

Jeremy Bicha-4
Control: severity -1 serious

As announced [1], we are working to remove gconf from Debian. As part
of this process, I am now raising the severity of this bug.

Please try to port your package away from gconf. Otherwise, please
consider requesting that your package be removed from Debian to help us
complete this goal.

[1] https://lists.debian.org/debian-devel/2018/02/msg00169.html

On behalf of the Debian GNOME team,
Jeremy Bicha

--
xubuntu-devel mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/xubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Processed: gtk-theme-config: raising severity of gconf dependency bug

Debian Bug Tracking System
In reply to this post by Jeremy Bicha-4
Processing control commands:

> severity -1 serious
Bug #886068 [src:gtk-theme-config] gtk-theme-config: Depends on gconf
Severity set to 'serious' from 'important'

--
886068: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=886068
Debian Bug Tracking System
Contact [hidden email] with problems

--
xubuntu-devel mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/xubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Re: Bug#886068: gtk-theme-config: raising severity of gconf dependency bug

Simon Steinbeiß-4
In reply to this post by Jeremy Bicha-4
Hi Jeremy,

I've worked a little on gtk-theme-config after seeing the Debian bug for the first time (plus it's actually utterly broken with modern Gtk+3 versions) and to be honest I don't see how it could work with the way themes are set up these days with sass and resource files. (E.g. changing the selected-bg-color, which was one of the most prominent features, is practically impossible to "get right"/consistent results with multiple themes.)

So we will likely drop it from Xubuntu 18.04 and it will become deprecated. I guess Debian should drop it too, can't imagine anyone still uses it for anything (only the Gtk2 parts still work ok).

Cheers
Simon

On Tue, Feb 27, 2018 at 7:53 PM Jeremy Bicha <[hidden email]> wrote:
Control: severity -1 serious

As announced [1], we are working to remove gconf from Debian. As part
of this process, I am now raising the severity of this bug.

Please try to port your package away from gconf. Otherwise, please
consider requesting that your package be removed from Debian to help us
complete this goal.

[1] https://lists.debian.org/debian-devel/2018/02/msg00169.html

On behalf of the Debian GNOME team,
Jeremy Bicha

--
xubuntu-devel mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/xubuntu-devel

--
xubuntu-devel mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/xubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Re: Bug#886068: gtk-theme-config: raising severity of gconf dependency bug

Jeremy Bicha-2
On Tue, Feb 27, 2018 at 4:05 PM, Simon Steinbeiss
<[hidden email]> wrote:
> So we will likely drop it from Xubuntu 18.04 and it will become deprecated.
> I guess Debian should drop it too, can't imagine anyone still uses it for
> anything (only the Gtk2 parts still work ok).

I'd be happy to file a Debian removal bug for gtk-theme-config if
that's what y'all want.

(I'm not subscribed to the list so you'll probably need to moderate me through.)

Thanks,
Jeremy Bicha

--
xubuntu-devel mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/xubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Re: Bug#886068: gtk-theme-config: raising severity of gconf dependency bug

Unit 193-2
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA384

Howdy,

As Simon indicated, gtk-theme-config won't really function properly anytime in
the near future and has been removed from Xubuntu's seed.  So as maintainer of
the package I would gladly accept your offer to file the removal bug.  Thank
you for offering.

On Tue, 27 Feb 2018, Jeremy Bicha wrote:

> On Tue, Feb 27, 2018 at 4:05 PM, Simon Steinbeiss
> <[hidden email]> wrote:
>> So we will likely drop it from Xubuntu 18.04 and it will become deprecated.
>> I guess Debian should drop it too, can't imagine anyone still uses it for
>> anything (only the Gtk2 parts still work ok).
>
> I'd be happy to file a Debian removal bug for gtk-theme-config if
> that's what y'all want.
>
> (I'm not subscribed to the list so you'll probably need to moderate me through.)
>
> Thanks,
> Jeremy Bicha
>
> --
> xubuntu-devel mailing list
> [hidden email]
> https://lists.ubuntu.com/mailman/listinfo/xubuntu-devel
>


~Unit 193
Unit193 @ freenode
Unit193 @ OFTC

-----BEGIN PGP SIGNATURE-----

iQIcBAEBCQAGBQJavMDlAAoJEFAB4bCao3RLMSMP/Ag5yf9AmRsyIP+OvPVPtVEe
/69ZCCDSKaTaY5++YiatZ9DRRw/R6DltvnA4gaot0TdXHf8p5DLodWuh+Wy/ncJz
UspZNi00fCsblBLLyTT0dbgU6j/be9ofKIe1gnUwiKEmstol2cNaIFwdS99ZdJL6
y9/SS+qaQ9a3JGBiLeTFtdTbXPIHECutqzIAVd/lU2hHnnY7pzm6GGqcMcfhiQLU
2lKsLmkLFJ0v2SKHx2gXxrGNYX1wZH5L6IGTg9yhGk0TAIGM1SZjaZXEl1jFsnND
yJ9CwI0+Nm1LX6XCVGC+bskdAlou5dPywcDVbxZCbJ1F7J7WZyNR5QvJPIqI9Zxi
8xni3Kt+aoEJZUjFmIPD0PXYpud/m8TK+xXxh6lkflt9HN1F0pQpr8MHkvmA3Qix
sWznMLo3Q6ENUWKNVYQwuRjKush3ZkTHiFICvkqpZpj5brh7kxZV3aDzE3E/7PA9
IdagE7+qzwiEIild4TtPnlEWv63y8N3F+u6+Wl4Zo5KatXWv7x3QBAawiDM6EWsV
R4o3L2zM4SElR5LGwLJV9ZGBP/tnRWPtPFSbp72fu7CgVFzviZKFEi8uLN7x1ma2
247Mq4w5YWQ8ikdy5/S5co5TR+n6azRfAf4hQl2ITva8pGNfsoGxNRV2lAr4Hva8
fPyOcPwiqU2JL0HqUeev
=DljL
-----END PGP SIGNATURE-----

--
xubuntu-devel mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/xubuntu-devel
Reply | Threaded
Open this post in threaded view
|

Bug#886068: marked as done (gtk-theme-config: Depends on gconf)

Debian Bug Tracking System
In reply to this post by Jeremy Bicha-4
Your message dated Sat, 31 Mar 2018 03:55:31 +0000
with message-id <[hidden email]>
and subject line Bug#894344: Removed package(s) from unstable
has caused the Debian Bug report #886068,
regarding gtk-theme-config: Depends on gconf
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [hidden email]
immediately.)


--
886068: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=886068
Debian Bug Tracking System
Contact [hidden email] with problems

Source: gtk-theme-config
Version: 1.2.2-1
Severity: important
User: [hidden email]
Usertags: oldlibs gconf
Tags: sid buster

Your package depends or build-depends on gconf, but gconf will be
removed from Debian soon.

gconf's last release was about 5 years ago. It has been replaced by
gsettings (provided in Debian by source glib2.0 )

This should be pretty simple to fix since I don't think any desktop in
Debian uses gconf any more so you should be able to just drop the gconf
code.

References
----------
https://developer.gnome.org/gio/stable/ch34.html
https://developer.gnome.org/gio/stable/GSettings.html

On behalf of the Debian GNOME team,
Jeremy Bicha

Version: 1.2.2-1+rm

Dear submitter,

as the package gtk-theme-config has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see https://bugs.debian.org/894344

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
[hidden email].

Debian distribution maintenance software
pp.
Scott Kitterman (the ftpmaster behind the curtain)
--
xubuntu-devel mailing list
[hidden email]
https://lists.ubuntu.com/mailman/listinfo/xubuntu-devel